# OSD_OEMType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | OSD_OEMType { OSD_Unavailable, OSD_SUN, OSD_DEC, OSD_SGI, OSD_NEC, OSD_MAC, OSD_PC, OSD_HP, OSD_IBM, OSD_VAX, OSD_LIN, OSD_AIX }
| This is in fact a pointer to a function. This is not an "enumeration" but a trick to solve an omission from CDL. C++: alias "typedef int (* OSD_Function)(...);" . More...

## Enumeration Type Documentation

enum OSD_OEMType

Enumeration values:

  OSD_Unavailable |
  OSD_SUN |
  OSD_DEC |
  OSD_SGI |
  OSD_NEC |
  OSD_MAC |
  OSD_PC |
  OSD_HP |
  OSD_IBM |
  OSD_VAX |
  OSD_LIN |
  OSD_AIX |